curl --location --request PATCH 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"limit": {
"amount": 10000,
"frequency": "per30DayPeriod"
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d', {
method: 'PATCH',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
limit: {
amount: 10000,
frequency: "per30DayPeriod"
}
})
});
const data = await response.json();
{
"success": true,
"cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
"status": "active"
}
Card Management
Update Card
This endpoint updates card settings including status, limits, and configuration
PATCH
/
api
/
v1
/
cards-program
/
cards
/
:cardId
curl --location --request PATCH 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"limit": {
"amount": 10000,
"frequency": "per30DayPeriod"
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d', {
method: 'PATCH',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
limit: {
amount: 10000,
frequency: "per30DayPeriod"
}
})
});
const data = await response.json();
{
"success": true,
"cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
"status": "active"
}
Params
string
required
The unique card identifier
Body
string
Card status:
notActivated, active, locked, or canceledobject
object
Card configuration settings
Show Configuration object
Show Configuration object
string
required
Virtual card artwork identifier
Response
boolean
Indicates whether the call was successful
string
The unique card identifier
string
Updated card status
curl --location --request PATCH 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"limit": {
"amount": 10000,
"frequency": "per30DayPeriod"
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d', {
method: 'PATCH',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
limit: {
amount: 10000,
frequency: "per30DayPeriod"
}
})
});
const data = await response.json();
{
"success": true,
"cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
"status": "active"
}
Error Responses
{
"success": false,
"error": "Unauthorized. Please check your authentication credentials."
}
{
"success": false,
"error": "Card not found."
}
⌘I